import { nodeColorRGB } from '@/lib/vis/visualizations/mapvis/utils';
import type { Meta, StoryObj } from '@storybook/react';
import { useState } from 'react';
import { ColorPicker } from '.';

const Component: Meta<typeof ColorPicker> = {
  title: 'ColorManager/Legend/ColorPicker',
  component: ColorPicker,
  argTypes: { onChange: { action: 'changed' } },
  decorators: [Story => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;

type Story = StoryObj<typeof Component>;

export const ColorPickerStory: Story = () => {
  const [value, setValue] = useState<number>(0);

  return <ColorPicker value={nodeColorRGB(value)} onChange={setValue} />;
};

ColorPickerStory.args = {};
