import type { Meta, StoryObj } from '@storybook/react';
import { EmailInput } from './EmailInput';

const Component: Meta<typeof EmailInput> = {
  title: 'Components/Inputs',
  component: EmailInput,
  argTypes: { onEmailsChange: {} },
  decorators: [Story => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;
type Story = StoryObj<typeof Component>;

export const EmailInputStory: Story = {
  args: {
    type: 'email',
    label: 'Recipient(s)',
    value: ['luke@graphpolaris.com'],
    placeholder: 'Enter your email address',
    required: true,
    className: 'bg-secondary-100 border text-seccondary-700 hover:bg-secondary-200',
    onEmailsChange: value => {
      console.log(value);
    },
  },
};
