import { createContext } from 'react';
import { OnConnectStartParams } from 'reactflow';
import { SchemaReactflowLogicNode } from '../model';

export const QueryBuilderDispatcherContext = createContext<{
  openLogicPillUpdate: (node: SchemaReactflowLogicNode) => void;
  openLogicPillCreate: (params: OnConnectStartParams, position?: { x: number; y: number }) => void;
}>({
  openLogicPillUpdate: (node: SchemaReactflowLogicNode) => {
    throw new Error('openLogicPillUpdate not implemented');
  },
  openLogicPillCreate: (params: OnConnectStartParams, position?: { x: number; y: number }) => {
    throw new Error('openLogicPillCreate not implemented');
  },
});
