import { dataColors, EdgeQueryResult, ML, visualizationColors } from 'ts-common';

export const LINE_COLOR_DEFAULT = dataColors.neutral[40];
export const LINE_COLOR_SELECTED = visualizationColors.GPSelected.colors[1];
export const LINE_COLOR_ML = dataColors.blue[60];
export const LINE_WIDTH_DEFAULT = 0.8;

export const getEdgeStyle = (edge: EdgeQueryResult, ml: ML) => {
  // let color = edge.color || 0x000000;
  let color = LINE_COLOR_DEFAULT;
  const thickness = (edge.attributes.jaccard_coefficient as number) || 1;
  let style = thickness || 1;
  let alpha = 1;
  let mlEdge = false;

  // Parse ml edges
  if (ml != undefined && ml.linkPrediction.result.find(edge => edge.from === edge.from && edge.to === edge.to)) {
    mlEdge = true;
  }

  if (mlEdge) {
    color = LINE_COLOR_ML;
    if (thickness > ml.communityDetection.jaccard_threshold) {
      style = thickness * 1.8;
    } else {
      style = 0;
      alpha = 0.2;
    }
  }

  // TODO
  // Conditional alpha for search results
  // if (searchResults.nodes.length > 0 || searchResults.edges.length > 0) {
  //   // FIXME: searchResults.edges should be a hashmap to improve performance.
  //   const isLinkInSearchResults = searchResults.edges.some(resultEdge => resultEdge.id === false); //FIXME: needs to match edge._id
  //   alpha = isLinkInSearchResults ? 1 : 0.05;
  // }

  return { style, color, alpha, thickness };
};
