/**
 * This program has been developed by students from the bachelor Computer Science at
 * Utrecht University within the Software Project course.
 * © Copyright Utrecht University (Department of Information and Computing Sciences)
 */

/** Types for the nodes and links in the node-link diagram. */
export type GraphType = {
  nodes: Record<string, NodeType>;
  edges: Record<string, EdgeType>;
  nodeIdMap: Record<string, string>; // maps the original _id of the graph result to generated ids of this struct
  edgeIdMap: Record<string, string>;
};

export type NodeType = d3.SimulationNodeDatum & {
  id: string; // uuid
  ids: { _id: string; idx: number }[]; // reverse mapping to original _id and index in original graph
  color: number;
  label?: string;
  radius: number;
  alpha?: number;
};

export type EdgeType = d3.SimulationLinkDatum<NodeType> & {
  id: string; // uuid
  ids: { _id: string; idx: number }[]; // reverse mapping to original _id and index in original graph
  label?: string;
  thickness: number;
  color: string;
  alpha?: number;
  style: number;
};
